Get LabTrove

The recommended way to install LabTrove is using the DEB package for Debian-based systems (i.e. Debian, Ubuntu, etc.). Instructions on how to do this are provided below. Otherwise, you can obtain the latest stable and testing releases of LabTrove, use the links in the right-hand menu.

The testing version of LabTrove is built from the latest revision of the SVN trunk, so will change on a regular basis and on occasions may have problems. Therefore, it is recommended to use the stable version, unless you specifically want to preview new functionality.

Installation using DEB package

The DEB package has been tested for Ubuntu 12.04 and 14.04 LTS, specifically the 64-bit server versions. The DEB package should install on intervening versions of Ubuntu as well as desktop and 32-bit systems. The DEB package should also install on Debian 7.0 and 8.0. Earlier versions of Ubuntu and Debian may be able to install the DEB package but LabTrove is unavailable to provide support for these.

Like the tarballs there is a stable and testing version of LabTrove available for installation. The first step if you want to install the stable version is adding the repository to your APT sources:

$ echo "deb http://www.labtrove.org/repo/stable ./ #Labtrove stable" \ 
| sudo tee /etc/apt/sources.list.d/labtrove.list > /dev/null

 

If you want to install the testing version of LabTrove you need to do the following at the command line:

$ echo "deb http://www.labtrove.org/repo/testing ./ #Labtrove testing" \
| sudo tee /etc/apt/sources.list.d/labtrove.list > /dev/null

 

Now one of the repositories has been add to your APT sources list you can install LabTrove with the following two commands:

$ apt-get update
$ apt-get install labtrove

 

You may see a warning similar to the one below, if so it is fine just to enter 'y' and press enter:

WARNING: The following packages cannot be authenticated!
  labtrove
Install these packages without verification [y/N]?